<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
$_SESSION['cuPages']='pro_categorycreate.php';   
$cuPage='pro_categorycreate.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='product';
$menuh='Product Process';
$phead='prcre';
$page='Edit Parent';
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['update_parent'])){
    $praid = remove_junk(escape($_POST['praid']));
	$name = ucwords(remove_junk(escape($_POST['name'])));
    $description = remove_junk(escape($_POST['description']));
	
	if(isset($_POST['name'])){
	$ducode = mysqli_query($con,"SELECT * FROM tbl_parent WHERE name = '$name' AND id!='$praid'");
	}
	
	if($ducode->num_rows > 0) {
		save_msg('i','Parent name alrady used! Plz try another');
		echo "<script>window.location='pro_parentlist.php'</script>";
	}else{
    $sql="UPDATE tbl_parent SET name='$name',description='$description' WHERE id='$praid'";    
	$result = mysqli_query($con,$sql) or die(mysqli_error($con));
    $efid=mysqli_affected_rows($con);     
    if($efid>0){
    $act =remove_junk(escape('Parent name: '.$name));    
    write_activity($aid,'PRA','Parent has been updated',$act);    
    save_msg('s','Data Successfully Update!');
    }else{
    save_msg('w','Data Fail to Update!');    
    }
    echo "<script>window.location='pro_parentlist.php'</script>";  
	}  
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Create New Parent For Product</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>  
<form action="pro_parentedit.php" onsubmit="return validate()" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">

<div class="row ">
<div class="col-md-12">
<div class="col-md-3"></div>
<div class="col-md-6">
<?php 
if(isset($_POST['editpra'])){
$ids = $_POST['editpra'];
$sql="SELECT * FROM tbl_parent WHERE id='".$ids."' ORDER BY id ASC LIMIT 1";    
$admin=mysqli_query($con,$sql) or die(mysqli_error($con));    
$adm=mysqli_fetch_array($admin);
?>    
<div class="form-group">
<label>Name</label>
<input type="text" name="name" maxlength="45" value="<?php echo $adm['name'];?>" id="pname" class="form-control" placeholder="Parent Name"  />
<input type="hidden" maxlength="11" value="<?php echo $adm['id'];?>" class="form-control" name="praid" autocomplete="off" readonly>    
</div>
<div class="form-group">
<label>Description</label>
<textarea class="form-control" maxlength="250" rows="6" name="description" placeholder="Description"><?php echo $adm['description'];?></textarea>
</div>
<?php } ?>    
</div>    
<div class="col-md-3"></div>    
</div>    
</div>    

</div>
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<input type="submit" name="update_parent" id="submit" class="btn btn-flat bg-purple btn-sm " value="Update"/> <a href="pro_parentlist.php" class="btn btn-flat bg-gray  ">Close</a>
</div> 
</div>     
</form>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['utype']=='1'){echo read_activity($aid,'PRA','A');}else{echo read_activity($aid,'PRA','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>

<?php include('../layout/quick.php');?>     
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function () {  
var pname = new LiveValidation('pname');
pname.add(Validate.Presence);
});
</script>    
<!-- /page script -->
</html>    